gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.ToplevelSize

Contents

- Exported types
- Methods
  - getBounds
  - setMinSize
  - setShadowWidth
  - setSize

Description

Contains information that is useful to compute the size of a toplevel.

Synopsis

- newtype ToplevelSize = ToplevelSize (ManagedPtr ToplevelSize)
- toplevelSizeGetBounds :: (HasCallStack, MonadIO m) => ToplevelSize -> m (Int32, Int32)
- toplevelSizeSetMinSize :: (HasCallStack, MonadIO m) => ToplevelSize -> Int32 -> Int32 -> m ()
- toplevelSizeSetShadowWidth :: (HasCallStack, MonadIO m) => ToplevelSize -> Int32 -> Int32 -> Int32 -> Int32 -> m ()
- toplevelSizeSetSize :: (HasCallStack, MonadIO m) => ToplevelSize -> Int32 -> Int32 -> m ()

# Exported types

newtype ToplevelSize Source #

Memory-managed wrapper type.

Constructors

ToplevelSize (ManagedPtr ToplevelSize) |

#### Instances

Instances details

Eq ToplevelSize Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelSize Methods (==) :: ToplevelSize -> ToplevelSize -> Bool Source # (/=) :: ToplevelSize -> ToplevelSize -> Bool Source #
BoxedPtr ToplevelSize Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelSize Methods boxedPtrCopy :: ToplevelSize -> IO ToplevelSize Source # boxedPtrFree :: ToplevelSize -> IO () Source #
ManagedPtrNewtype ToplevelSize Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelSize Methods toManagedPtr :: ToplevelSize -> ManagedPtr ToplevelSize Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

getBounds.

#### Setters

setMinSize, setShadowWidth, setSize.

## getBounds

toplevelSizeGetBounds Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelSize | `size`: a `GdkToplevelSize`
-> m (Int32, Int32) |

Retrieves the bounds the toplevel is placed within.

The bounds represent the largest size a toplevel may have while still being able to fit within some type of boundary. Depending on the backend, this may be equivalent to the dimensions of the work area or the monitor on which the window is being presented on, or something else that limits the way a toplevel can be presented.

## setMinSize

toplevelSizeSetMinSize Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelSize | `size`: a `GdkToplevelSize`
-> Int32 | `minWidth`: the minimum width
-> Int32 | `minHeight`: the minimum height
-> m () |

Sets the minimum size of the toplevel.

The minimum size corresponds to the limitations the toplevel can be shrunk to, without resulting in incorrect painting. A user of a `GdkToplevel` should calculate these given both the existing size, and the bounds retrieved from the `GdkToplevelSize` object.

The minimum size should be within the bounds (see `toplevelSizeGetBounds`).

## setShadowWidth

toplevelSizeSetShadowWidth Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelSize | `size`: a `GdkToplevelSize`
-> Int32 | `left`: width of the left part of the shadow
-> Int32 | `right`: width of the right part of the shadow
-> Int32 | `top`: height of the top part of the shadow
-> Int32 | `bottom`: height of the bottom part of the shadow
-> m () |

Sets the shadows size of the toplevel.

The shadow width corresponds to the part of the computed surface size that would consist of the shadow margin surrounding the window, would there be any.

Shadow width should only be set if `Gtk.Display.supports_shadow_width()` is `True`.

## setSize

toplevelSizeSetSize Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelSize | `size`: a `GdkToplevelSize`
-> Int32 | `width`: the width
-> Int32 | `height`: the height
-> m () |

Sets the size the toplevel prefers to be resized to.

The size should be within the bounds (see `toplevelSizeGetBounds`). The set size should be considered as a hint, and should not be assumed to be respected by the windowing system, or backend.